<template>
  <div class="wrapper" :class="{'nav-open': $sidebar.showSidebar}">
    <side-bar>
      <sidebar-link to="/admin/users">
        <md-icon>people</md-icon>
        <p>User</p>
      </sidebar-link>
      <sidebar-link to="/admin/whitelists">
        <md-icon>verified_user</md-icon>
        <p>Whitelist</p>
      </sidebar-link>
      <sidebar-link to="/admin/users/report">
        <md-icon>report</md-icon>
        <p>Report</p>
      </sidebar-link>
      <sidebar-link to="/admin/bounty-settings">
        <md-icon>settings_input_component</md-icon>
        <p>Bounty & Airdrop Settings</p>
      </sidebar-link>
      <sidebar-link to="/admin/bounties">
        <md-icon>assignment</md-icon>
        <p>Bounty & Airdrop</p>
      </sidebar-link>
      <sidebar-link to="/admin/bug-bounties">
        <md-icon>assignment</md-icon>
        <p>Bug Bounty</p>
      </sidebar-link>
      <sidebar-link to="/admin/vouchers">
        <md-icon>content_paste</md-icon>
        <p>Voucher</p>
      </sidebar-link>
      <sidebar-link to="/admin/settings">
        <md-icon>settings</md-icon>
        <p>Setting</p>
      </sidebar-link>
      <sidebar-link to="/admin/cold-wallets">
        <md-icon>account_balance_wallet</md-icon>
        <p>Cold Wallets</p>
      </sidebar-link>
      <sidebar-link to="/admin/statistic">
        <md-icon>assessment</md-icon>
        <p>Statistic</p>
      </sidebar-link>
      <sidebar-link to="/admin/distribution">
        <md-icon>cloud</md-icon>
        <p>Distribution Heta Token</p>
      </sidebar-link>
      <sidebar-link to="javascript:void(0)" v-if="isMobile">
        <span @click="$refs.logoutForm.submit()">
          <i class="material-icons">
            exit_to_app
          </i>
          <md-tooltip md-direction="left">Logout</md-tooltip>
          <p>Logout</p>
        </span>
      </sidebar-link >
      <form :action="`${$baseUrl}/logout`" ref="logoutForm" style="display: none" method="post">
        <input type="hidden" name="_token" :value="$csrfToken">
      </form>
    </side-bar>

    <div class="main-panel">
      <top-navbar></top-navbar>

      <dashboard-content class="content">
      </dashboard-content>

      <content-footer v-if="!$route.meta.hideFooter"></content-footer>
    </div>
    <modal v-if="displayModal" @close="modalOff">
      <component v-bind:is="currentModal" :modal-data="modalData"></component>
    </modal>
  </div>
</template>
<style lang="scss">

</style>
<script>
import TopNavbar from './TopNavbar.vue';
import ContentFooter from './ContentFooter.vue';
import DashboardContent from './Content.vue';
import ModalMixin from '../../../common/components/ModalMixin';
import MobileDetect from 'mobile-detect';

export default {
  components: {
    TopNavbar,
    DashboardContent,
    ContentFooter
  },
  mixins: [ModalMixin],
  computed: {
    isMobile() {
      const md = new MobileDetect(window.navigator.userAgent);
      return md.mobile();
    }
  },
  created () {
    if (!this.$isAuthenticated) {
      this.$router.push('/admin/login');
    }
  }
}
</script>
<style lang="scss" scoped>
  .wrapper {
    height: 100%;
  }
</style>
